Bug 501115 - Plymouth does not exit in single-user mode
Plymouth does not exit in single-user mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 11:16 EDT by Andrew
Modified: 2009-12-18 04:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2009-05-16 11:16:13 EDT
Description of problem:

After booting with kernel "-s" option into single-user mode to do some maintenance, I could not remount / as read-only ("remount -n -o remount,ro /"); it said "/ is busy".  I noticed that plymouth is still running.  After a "/usr/bin/plymouth quit", the remount works fine.  Should plymouth be stopped in single-user mode?

Version-Release number of selected component (if applicable):

Fedora with all updates applied as of 15 May 2009.  Plymouth .0.6.0-0.2008.11.17.3.fc10.x86_64

How reproducible:

boot with "-s" and "ps -ef" - you'll see plymouth.

 
Actual results:

Plymouth running, cannot remount /

Expected results:

Plymouth not running, can remount /

Additional info:
Comment 1 Thomas Janssen 2009-05-18 18:02:54 EDT
I can confirm this with my F10 in VM.

mount -n -o remount,ro /
mount: / is busy

After /usr/bin/plymouth quit   it did work.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Ray Strode [halfline] 2009-10-14 10:14:57 EDT
hmm, maybe.  We'd have to restart it again when leaving single user mode i guess...
Comment 3 Bug Zapper 2009-11-18 07:52:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:26:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.